#!/bin/bash
cd "$(dirname "${BASH_SOURCE[0]}")"

# Remove from installed VLC dir
command -v vlc >/dev/null 2>&1
if [ $? -eq 0 ] ; then
	vlcbin=`command -v vlc`
	vlccodecs=$(readlink -m $(dirname $vlcbin)/../lib/vlc/plugins/codec)
	sudo rm -fv "$vlccodecs/libmagicyuv_plugin.so"
fi

# Remove from common locations
sudo rm -fv "/usr/lib/vlc/plugins/codec/libmagicyuv_plugin.so"
sudo rm -fv "/usr/local/lib/vlc/plugins/codec/libmagicyuv_plugin.so"

